# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.5.1] - 2020-08-20

### Added
-Se implementó visualización de archivos adjuntos en el visor de correos, para las imágenes inline y otros adjuntos mostrarse a un lado del navegador de mensajes([#539249676](https://www.wrike.com/open.htm?id=539249676)).
-Se implementó un nuevo pattern para limpiar tags link del html de correos lo que causaba la demora([#539024597](https://www.wrike.com/open.htm?id=539024597)).
-En la vista process>audios se implementó marcar como disabled el botón "ver detalle" cuando el audio/texto tienen el valor istranscribed diferente de 1, en estos caso también incluye un tooltip con la descripción del problema ocurrido o por defecto "No se encontró detalle del problema".
-En el sp getasyninteractions se implentó obtener el campo rawchar para tener un valor aproximado del número de caracteres de la interacción y hacer una estimación de requests nlu más confiable.
-Se realizaron cambios en audio-player para mostrar correos con más de 1 mensaje, un navegador de detalles según el totalmessages([#539023379](https://www.wrike.com/open.htm?id=539023379)).

### Changed
-Se actualizó el bulk de progress para cerrar process con interacciones inprocess completados(ticket [#550480255](https://www.wrike.com/open.htm?id=550480255))
-Se agregó una validación regex OR para validar si existe el in_sentences 0 out_sentences(reopen [#542722175](https://www.wrike.com/open.htm?id=542722175))
-Se modificó el getvcc y setvcc del localstorage para almacenar más información aparte del nombre, requerido para ocultar el botón "subrayar" en el abm de nlus para vccs diferentes a i6 ([#541375727](https://www.wrike.com/open.htm?id=541375727))
-Se cambió para librería eml-format por eml-parser por un problema en el procesamiento de eml con adjuntos enviado desde outlook-express(reopen [#539249676](https://www.wrike.com/open.htm?id=539249676))
-En la vista process>audios se agregaron las columnas agente, campaña y hora en la fecha de creación(ticket [#538998406](https://www.wrike.com/open.htm?id=538998406))
-Se modificó el endpoint getcampaign de campaign.service para hacer búsqueda según el tipo de vcc igual que en allegro.service
-En la función de redis para recuperar el key vcc se agregó el atributo type que se estaba perdiendo cuando no entraba la key y la generaba nuevamente(ticket [#541383144](https://www.wrike.com/open.htm?id=541383144))
-Se modificó en el modal billing mostrar hasta 5 decimales parala columna "saldo disponible"
-Se corrigió el problema que no se visualizaban las evaluaciones de análisis cognitivo(ticket [#542010318](https://www.wrike.com/open.htm?id=542010318))
-Se cambió la etiqueta para vccs existentes y el listado filtra sólo los no registrados en speechanalytics([#537676914](https://www.wrike.com/open.htm?id=537676914))
-Se actualizó el servicio "/api/agent/get_agents" de agent.service acorde al de allegro.service, a su vez se hizo el cambio en las vistas que llaman este servicio(admin-evaluation.cmp, auditor-inbox.cmp, campaign-dashboard.cmp, evaluation.cmp, evaluation-plan.cmp, reports.cmp)(ticket [#540983863](https://www.wrike.com/open.htm?id=540983863))
-Se actualizó el servicio "/api/dispositioncode/get" de disposition-code.service acorde al de allegro.service, a su vez se hizo el cambio en las vistas que llaman este servicio(evaluation-plan-add.cmp, admin-evaluation.cmp, agent-evaluation.cmp, auditor-inbox.cmp, evaluation.cmp)(ticket [#540983863](https://www.wrike.com/open.htm?id=540983863))
-Se hizo cambio en las vistas admin-evaluation.cmp, auditor-inbox.cmp, campaign-dashboard.cmp, evaluation.cmp, evaluation-plan.cmp, reports.cmp para buscar dispositioncodes de hasta 4 niveles en interacciones de texto
-Se hizo cambios para registrar contactname/contactid y durationtime en la tabla interactionevaluationplan y auditorevaluationplan
-Se hizo cambios para mostrar las columnas duración, dirección(contactname/contactid) y el label de enddate  en el abm de bandeja de auditor(ticket [#540985497](https://www.wrike.com/open.htm?id=540985497))
-Se modificó la vista evaluation-add para mostrar la duración de la interaccion en formato dd hh:mm:ss(ticket [#540987607](https://www.wrike.com/open.htm?id=540987607))

### Removed
-Se ocultó la opción editar en utterances(ticket [#551052341](https://www.wrike.com/open.htm?id=551052341))
-Se hizo cambio de audio-detail para ocultar la zona pnl en interacciones tipo mail(ticket [#539027100](https://www.wrike.com/open.htm?id=539027100))
-Se oculto la zona de motivos en process-detail.cmp cuando hay mas de una campaña y se mezclan canales call y text(ticket [#539096307](https://www.wrike.com/open.htm?id=539096307))

### Fixed
-Se corrigió obtención de html para evitar conflicto con la nueva librería de eml(ticket [#551071033](https://www.wrike.com/open.htm?id=551071033))
-Se corrigió registro de frases ya transcritas al registrar batch de transcripción en process y evaluationplan
-Se corrigió un problema en el filtro de resultados de gestión en la vista transcripciones>interacciones(ticket [#539011457](https://www.wrike.com/open.htm?id=539011457))
-Se hizo correción en el servicio de audio para buscar cuando el audio solicitado no existe en la tabla audio(un posible caso de evaluación manual) desde el middleware (icket [#545553646](https://www.wrike.com/open.htm?id=545553646))